Projects
Update a project
Scope: project:write
Authorization
bearerAuth AuthorizationBearer <token>
An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...
In: header
Path Parameters
project.id*id
Unique identifier for the project.
Match
^prj-[0-9a-z]+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
UpdateProjectRequest contains the project fields to update.
Response Body
application/json
curl -X PATCH "https://example.com/v1/projects/string" \ -H "Content-Type: application/json" \ -d '{}'{ "project": { "id": "string", "name": "string", "description": "string", "labels": { "property1": "string", "property2": "string" }, "created_by": { "id": "string", "display_name": "string", "email": "string" }, "created_at": "2023-01-15T01:30:15.01Z", "updated_at": "2023-01-15T01:30:15.01Z" }}